Bug 1890104 - with Serverless 1.10 version of trigger/subscription/channel/IMC is V1 as latest
Summary: with Serverless 1.10 version of trigger/subscription/channel/IMC is V1 as latest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Jaivardhan Kumar
QA Contact: Karthik Jeeyar
Rishu Mehra
URL:
Whiteboard:
Depends On:
Blocks: 1896625
TreeView+ depends on / blocked
 
Reported: 2020-10-21 11:59 UTC by Jaivardhan Kumar
Modified: 2021-03-03 22:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the static models corresponding to trigger/subscription/channel/IMC were having beta apiVersion because the serverless supported versions got updated. Now the apiVersion is updated and UI models are also pointing to the latest supported version. (link:https://bugzilla.redhat.com/show_bug.cgi?id=1890104[BZ#1890104])
Clone Of:
: 1896625 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:27:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7134 0 None closed Bug 1890104: update apiVersion for eventing resources wrt serverless 1.10 2021-02-08 10:43:20 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:46 UTC

Description Jaivardhan Kumar 2020-10-21 11:59:58 UTC
Description of problem: Web console used v1beta1 for trigger/subscription but serverless 0.10 supports v1 as latest now


Version-Release number of selected component (if applicable): Serverless 0.10


How reproducible: Always


Steps to Reproduce:
1. Install Serverless operator and required CRs
2. Create a Namespace and create a KSVC, channel and create a source sinking to the channel
3. in topology via context menu on channel add subscription with subscriber as KSVC 

Actual results: Subscription or trigger in case of broker uses V1beta1


Expected results: Subscription or trigger in case of broker should use latest v1


Additional info:

Comment 2 Karthik Jeeyar 2020-11-11 10:21:49 UTC
Verified on 
Build number : 4.7.0-0.nightly-2020-10-27-051128
Patched the above bulid with the latest console image quay.io/openshift/origin-console:latest -n openshift-console

Comment 5 errata-xmlrpc 2021-02-24 15:27:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633

Comment 6 Rishu Mehra 2021-03-03 22:33:19 UTC
Updated the Doc_text field.


Note You need to log in before you can comment on or make changes to this bug.